Package twisted :: Package trial :: Module remote :: Class _Demo

[frames | no frames]

## Class _Demo

    Service --+
              |
             _Demo

Demonstrate trial.remote by spawning trial in a subprocess and displaying results. Wrapped in an ApplicationService so I can use twistd --debug on it.

Method Summary
| `startService(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`
| ``stopService`(self)`

Class Variable Summary
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:06 2004 | http://epydoc.sf.net